
	.file	"swtch.s"
	.text
	.align	2
	.globl	_swtch__6ThreadFv
_swtch__6ThreadFv:
	# _au0_this is in 8(fp)
	# save r0 through r7
	# must save even scratch registers since we may have been
	# preempted.
	enter	[r0,r1,r2,r3,r4,r5,r6,r7],0	
	#
	#	WARNING: The following offsets depend on the setup of class
	#		 Thread and all those from which it is derived
	#
	#
	movqd	0, _interrupts_enabled;

	movd	20(8(fp)), r0	# r0 = this->t_csp
	movd	24(8(fp)), r1	# r1 = this->t_fp
	sprd	sp, 20(8(fp))	# this->t_csp = sp
	sprd	fp, 24(8(fp))	# this->t_fp = fp
	lprd	sp, r0		# sp = (old)this->t_csp
	lprd   	fp, r1		# fp = (old)this->t_fp
	
	movqd	1, _interrupts_enabled;
	#
	# restore regs
	#
	exit	[r0,r1,r2,r3,r4,r5,r6,r7]
	ret	0
