|
| _Thread_swtch and init_stack routines for the mc68020 -- Jim Carson 1/2/89
|
	.data 
	.lcomm _swtch_tmp, 4
	.even
	.text
	.even
	.globl  _swtch__6ThreadFv
_swtch__6ThreadFv:
	link a6, #0
        movl    a3, sp@-
        movl    a4, sp@-
        movl    a5, sp@-

#ifdef THREAD_HAS_INTERRUPTIBLE_FIELD
	movl a6@(8), a0			   | this
	movl a0@(28), a0		   |      ->proc
	clrl a0@(20)       	   	   |            ->p_interruptible = 0
#else
	clrl _interrupts_enabled
#endif

        movl    a6@(8), a0                 | a0 == "this"

        movl    a0@(20), _swtch_tmp        | _swtch_tmp = this->t_csp
        movl    sp, a0@(20)                | this->t_csp = sp
        movl    _swtch_tmp, sp             | sp = _swtch_tmp
					   |
        movl    a0@(24), _swtch_tmp        | _swtch_tmp = this->t_fp
        movl    a6, a0@(24)                | this->t_fp  = fp
        movl    _swtch_tmp, a6             | fp = _swtch_tmp

#ifdef THREAD_HAS_INTERRUPTIBLE_FIELD
	movl a0@(28), a0		   | this->proc
	movl #1, a0@(20)       	   	   |            ->p_interruptible = 1
#else
	movl #1, _interrupts_enabled
#endif

        movl    sp@+, a5
        movl    sp@+, a4
        movl    sp@+, a3
	unlk a6
        rts
        .globl  f68881_used

|
| init_stack(Thread* newthread, int* new_stack_top)
|
        .text
        .align  2
.globl  _init_stack
_init_stack:
        movl    sp@+, a0        | a0 = return address
        movl    sp@+, a1        | a1 = thread       
        movl    sp@+, a2        | a2 = new stack top 
        movl    a3, sp@-        | push registers ...  
        movl    a4, sp@-        |      ... ala swtch() 
        movl    a5, sp@-        |              ... entry.  
        movl    sp, a1@(20)     | Save caller's stack ptr in thread
        movl    a6, a1@(24)     | Save caller's frame ptr in thread
        lea     a2@(-8), sp     | On new stack, room for caller to pop args
        jmp     a0@		| Return
