/*
 * The vax version of swtch assumes that "this" points to a thread whose
 * t_proc field points to the process object corresponding to the context in
 * which swtch is executing.  Thus "this->t_proc->p_interruptible" controls
 * preemption of the process executing swtch.
 */

	.file	"swtch.s"
.text
	.data
	.text
	.align	2
	.globl	_swtch__6ThreadFv

_swtch__6ThreadFv:
	.word 0xfff		# entry mask (save regs r0-r11)
	movl	4(ap), r2	# r2 = this
	movl	28(r2), r3	# r3 = this->t_proc
	movl	$0, 20(r3)	# this->t_proc->p_interruptible = 0

	movl	24(r2), r1	# r1 = this->t_fp
	movl	fp, 24(r2)	# this->t_fp = fp
	movl   	r1, fp		# fp = (old)this->t_fp

	movl	$1, 20(r3)	# this->t_proc->p_interruptible = 1
	ret
